Unable to load icon text-x-preview at size 48 in a loop

Bug #794556 reported by Evan on 2011-06-08
32
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Unity
Fix Released
High
Neil J. Patel
gnome-icon-theme (Ubuntu)
Undecided
Martin Pitt
Natty
Undecided
Unassigned
unity (Ubuntu)
High
Unassigned
Natty
High
Unassigned

Bug Description

=== Test case ===
1. Install unity 3.8.16 from natty-proposed
2. Remove gnome-icon-theme (or move it away from /usr/share/icons/ temporarily)
3. Restart unity (compiz --replace)
4. Unity should start without hanging.

===

ii unity 3.8.14-0ubuntu2

Installing the latest Unity package in Oneiric leaves me with compiz pegged at 100% CPU. Digging further, I see the following message repeated in a loop:
** (<unknown>:2908): WARNING **: bool IconLoader::ProcessGIconTask(IconLoader::IconLoaderTask*): Unable to load icon text-x-preview at size 48

The icon theme is set to ubuntu-mono-dark, and indeed the ubuntu-mono package does not have a text-x-preview icon; however, switching to an icon theme where this is present, like Humanity, does not resolve the issue.

For what it's worth, I also have the gnome3 PPA set.

Related branches

Evan (ev) on 2011-06-08
description: updated
Timo Aaltonen (tjaalton) wrote :

I'm seeing it as well.

Changed in unity:
status: New → Confirmed
Stéphane Graber (stgraber) wrote :

Installing gnome-icon-theme-full fixed the issue for me. This may just be a temporary workaround but that should at least restore a working gnome/unity desktop.

Timo Aaltonen (tjaalton) wrote :

yep, fixed it for me too.

Didier Roche (didrocks) on 2011-06-09
Changed in unity (Ubuntu):
status: New → Confirmed
Neil J. Patel (njpatel) on 2011-06-09
Changed in unity:
status: Confirmed → Fix Committed
milestone: none → 3.8.16
assignee: nobody → Neil J. Patel (njpatel)
importance: Undecided → High
Martin Pitt (pitti) on 2011-06-14
Changed in gnome-icon-theme (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-icon-theme - 3.0.0-2ubuntu3

---------------
gnome-icon-theme (3.0.0-2ubuntu3) oneiric; urgency=low

  * debian/not-in-humanity.txt: Ship text-x-preview in g-i-t. (LP: #794556)
 -- Martin Pitt <email address hidden> Tue, 14 Jun 2011 14:33:33 +0200

Changed in gnome-icon-theme (Ubuntu):
status: In Progress → Fix Released
Didier Roche (didrocks) on 2011-06-14
Changed in unity (Ubuntu):
status: Confirmed → Fix Committed
Neil J. Patel (njpatel) on 2011-06-16
description: updated
Changed in unity (Ubuntu):
importance: Undecided → High
Changed in unity (Ubuntu Natty):
importance: Undecided → High
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 3.8.16-0ubuntu1

---------------
unity (3.8.16-0ubuntu1) oneiric; urgency=low

  * New upstream version:
    - Unable to load icon text-x-preview at size 48 in a loop (lp: #794556)
    - Display garbled upon restoring original resolution (lp: #795454)
    - Display garbled upon connecting external displays (lp: #795458)
    - Panel disappears after resolution change (lp: #795459)
    - Dragging the launcher with right mouse button is
      confusing as menu pops up (lp: #735031)
    - In a double monitor setup the Unity top panel in the second screen is
      cut at the right (lp: #750481)
    - Launcher tooltips sometimes don´t show (lp: #769335)
    - Menu key should open quicklist for the selected item in the launcher
      (lp: #750778)
    - unity is spamming ~/.xsession-errors when windows are closed
      (lp: #767642)
    - Dash button ignores transparency when clicked. (lp: #767733)
 -- Sebastien Bacher <email address hidden> Thu, 16 Jun 2011 18:10:09 +0200

Changed in unity (Ubuntu):
status: Fix Committed → Fix Released

Accepted unity into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 3.8.16-0ubuntu1~natty1

---------------
unity (3.8.16-0ubuntu1~natty1) natty-proposed; urgency=low

  * New upstream version:
    - Unable to load icon text-x-preview at size 48 in a loop (lp: #794556)
    - Display garbled upon restoring original resolution (lp: #795454)
    - Display garbled upon connecting external displays (lp: #795458)
    - Panel disappears after resolution change (lp: #795459)
    - Dragging the launcher with right mouse button is
      confusing as menu pops up (lp: #735031)
    - In a double monitor setup the Unity top panel in the second screen is
      cut at the right (lp: #750481)
    - Menu key should open quicklist for the selected item in the launcher
      (lp: #750778)
    - unity is spamming ~/.xsession-errors when windows are closed
      (lp: #767642)
    - Dash button ignores transparency when clicked. (lp: #767733)
  * Revert commit for bug #769335, to fix a launcher autohidding issue
 -- Sebastien Bacher <email address hidden> Fri, 17 Jun 2011 12:22:35 +0200

Changed in unity (Ubuntu Natty):
status: Fix Committed → Fix Released
Omer Akram (om26er) on 2011-07-18
Changed in unity:
status: Fix Committed → Fix Released
Bilal Akhtar (bilalakhtar) wrote :

my name is talha

Rolf Leggewie (r0lf) wrote :

natty has seen the end of its life and is no longer receiving any updates. Marking the natty task for this ticket as "Won't Fix".

Changed in gnome-icon-theme (Ubuntu Natty):
status: New → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers